<?php
$template = <<<END
<!-- block_sitemap:サイトマップ -->
<section class="block_sitemap">
<!--{def item/title}-->
<h2>{val item/title}</h2>
<!--{/def}-->
<!--{def item/text}-->
<p class="markdown-body">{rval item/text}</p>
<!--{/def}-->
<{val item/mark} class="mokuji-maru">
<!--{each item/list}-->
<li><a href="?act={val item/list/link}"<!--{def item/link}--> target="_blank"<!--{/def}-->>{val item/list/title}</a>
<!--{def item/list/contents}-->
<p>{val item/list/contents}</p>
<!--{/def}-->
</li>
<!--{/each}-->
</{val item/mark}>
</section>
END;

$block_sitemap = array(					// ブロック定義
	"title" => "サイトマップ",			// ブロックの名称
	"name" => "block_sitemap",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_sitemap",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"text" => array(
			"title" => "説明",
			"type" => "textarea",
		),
		"mark" => array(
			"title" => "マーク",
			"type" => "select",
			"list" => array(
				"ol style='list-style-type:none'" => "なし",
				"ol" => "連番",
				"ul" => "・",
			),
		),
		"desc" => array(
			"title" => "説明",
			"type" => "select",
			"list" => array(
				"" => "出さない",
				"1" => "出す",
			),
		),
		"link" => array(
			"title" => "リンク方法",
			"type" => "select",
			"list" => array(
				"" => "同じタブ",
				"1" => "別タブ",
			),
		),
	),
	"func" => "func_block_sitemap",						// 処理プログラム（指定がない物は標準処理）
);

// パーツの登録
block_add($block_sitemap);

// パーツの設定
function func_block_sitemap($def, $info)
{
	global $page_index;

	$list = array();
	foreach ($page_index as $val) {
		unset($cond);
		$cond["kind"] = INFO_ITEM + $val["info_id"];
		$v = Info::findData($cond);
		$page = get_infoitem($v[0]["info_id"]);	// ページ内容
		//
		$title = $val["title"];
		if (substr($title, 0, 1) == "*") continue;
		unset($item);
		$link = $val["name"];
		if ($title && $link) {
			$item["title"] = $title;
			if ($page["title"]) {
				$item["title"] = $page["title"];
			}
			$item["link"] = $link;
			if ($info["desc"]) {	// ページ説明を出す場合
				if ($page["contents"]) {
					$item["contents"] = $page["contents"];
				}
			}
			$list[] = $item;
		}
	}
	$info["list"] = $list;
	return $info;
}
